LinuxQuestions.org
Latest LQ Deal: Linux Power User Bundle
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 02-07-2007, 10:59 PM   #1
arindom
Member
 
Registered: Nov 2006
Location: India
Distribution: Ubuntu 11.04
Posts: 165

Rep: Reputation: 30
MPLayer installation failure


Distribution : FC6

After several attempts I have still not been able to install Mplayer.

The error is
----------------------------------------------
Transaction Check Error: file /usr/lib/libdha.so.1.0 from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/cyberblade_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/mach64_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/mga_crtc2_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/mga_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/nvidia_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/pm3_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/radeon_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/rage128_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/savage_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/sis_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
file /usr/lib/mplayer/vidix/unichrome_vid.so from install of mplayer-1.0-0.69.rc1.lvn6 conflicts with file from package mplayer-libs-1.0.0-0.20050916.1.fc4.ut
---------------------------------

I have tried the following also :
Downloaded Mplayer RPM from Livna - Failed to install
Excluded Livna - Failed to install
Enabled Livna - Still failed to install

I think the problem might be from this :
# rpm -qa | grep mpl
libsamplerate-0.1.2-6.fc6
docbook-simple-1.0-2.1.1
mplayer-doc-1.0-0.69.rc1.lvn6
mplayer-libs-1.0.0-0.20050916.1.fc4.ut

How do I remove any older mplayer libs?

Please help to get rid of this problem. Thanks you.

Last edited by arindom; 02-07-2007 at 11:10 PM.
 
Old 02-08-2007, 01:50 AM   #2
zulfilee
Member
 
Registered: Apr 2004
Location: India
Distribution: Redhat,Fedora
Posts: 430

Rep: Reputation: 39
Uninstall rpm`s with "rpm -e" command
Ex:
rpm -e mplayer-libs

I`ve mplayer setup and running in my fc6 .
The packages i downloaded from

freshrpms.net

First install mplayer-fonts and then mplayer.

'mplayer' installation will tell u the dependencies.
All the dependent packages can be donwloaded from freshrpms.net.

I`ll try to list the packages u need to download from that site
[Note : dont use rpm -force to install a package.it will break a lot of things]

faac
lame
libfame
libmpeg3
x264
xvidcore
mplayer
mplayer-fonts


A few packages u can get from
http://rpmfind.net/

lirc
libmpc*
 
Old 02-08-2007, 02:32 AM   #3
arindom
Member
 
Registered: Nov 2006
Location: India
Distribution: Ubuntu 11.04
Posts: 165

Original Poster
Rep: Reputation: 30
Thank you very much zulfilee. It's working now and I'm happier than ever. In fact I did it like this :

a) Through synaptics removed mplayer libraries
b) Yum install

It worked!

Thanks again for your help.
 
  


Reply

Tags
mplayer


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
FC6 and mplayer failure Posterboy Fedora 2 01-16-2007 09:08 AM
failure during installation of ns-2.29 Nurzat Programming 0 03-13-2006 10:22 AM
MDk 10.1 installation failure jalldridge Linux - Newbie 1 10-04-2005 03:10 AM
Xorg installation failure novacrasher Linux - Software 2 02-07-2005 06:30 PM
RedHat 6.2 Installation Failure dstovall Linux - Software 3 02-06-2001 05:53 PM


All times are GMT -5. The time now is 09:11 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration